NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::ShipDesign::QualifySketchBuilder Class Reference

Represents a NXOpen::Features::ShipDesign::QualifySketchBuilder builder. More...

Inheritance diagram for NXOpen::Features::ShipDesign::QualifySketchBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

int ActiveRowIndex ()
 Returns the active row index. More...
 
void AssignAttribute (NXOpen::TaggedObject *entity, const NXString &category, const NXString &title, const NXString &value, int attrType, const NXString &objName)
 Assigns attributes to the anchor point. More...
 
void AssignAttribute (NXOpen::TaggedObject *entity, const char *category, const char *title, const char *value, int attrType, const char *objName)
 Assigns attributes to the anchor point. More...
 
NXOpen::SelectCurveBaseLine ()
 Returns the selected base line. More...
 
int ContextAttribute ()
 Returns the context attribute. More...
 
NXOpen::Features::ShipDesign::AnchorPointCreateNewAnchorPoint ()
 Creates the anchor point. More...
 
int Feature ()
 Returns the steel feture type. More...
 
NXString ModelFile ()
 Returns the model file name. More...
 
NXOpen::Features::ShipDesign::AnchorPointListModelList ()
 Returns the model list. More...
 
NXString ModelPath ()
 Returns the model file path. More...
 
NXOpen::SelectCurveMoldLine ()
 Returns the selected mold line. More...
 
void OpenParameterSpreadSheetToEdit ()
 Opens parameter spreadsheet to edit. More...
 
void OpenPartFile ()
 Opens the template part file. More...
 
void OpenRegistrationSpreadSheetToEdit ()
 Opens registration spreadsheet to edit. More...
 
NXOpen::SelectCurveOpposingMoldLine ()
 Returns the selected opposing mold line. More...
 
void PreviewLeftImage ()
 Previews left image. More...
 
void PreviewRightImage ()
 Previews right image. More...
 
void ReloadParameterSpreadSheet ()
 Reloads parameter spreadsheet. More...
 
void ReloadRegisterSpreadSheet ()
 Reloads registration spreadsheet. More...
 
void ReloadTable ()
 Reloads expression table. More...
 
void RemoveAttribute (NXOpen::TaggedObject *entity, const NXString &category, const NXString &title, int attrType)
 Removes attributes from the entity. More...
 
void RemoveAttribute (NXOpen::TaggedObject *entity, const char *category, const char *title, int attrType)
 Removes attributes from the entity. More...
 
int SectionType ()
 Returns the section type. More...
 
void SetActiveRowIndex (int activeRowIndex)
 Sets the active row index. More...
 
void SetContextAttribute (int contextAttribute)
 Sets the context attribute. More...
 
void SetFeature (int feature)
 Sets the steel feture type. More...
 
void SetModelFile (const NXString &modelFile)
 Sets the model file name. More...
 
void SetModelFile (const char *modelFile)
 Sets the model file name. More...
 
void SetModelPath (const NXString &modelPath)
 Sets the model file path. More...
 
void SetModelPath (const char *modelPath)
 Sets the model file path. More...
 
void SetSectionType (int sectionType)
 Sets the section type. More...
 
void SetShipNo (int shipNo)
 Sets the ship no. More...
 
void SetSpreadSheetFile (const NXString &spreadSheetFile)
 Sets the parameter spreadsheet file. More...
 
void SetSpreadSheetFile (const char *spreadSheetFile)
 Sets the parameter spreadsheet file. More...
 
void SetSpreadSheetPath (const NXString &spreadSheetPath)
 Sets the parameter spreadsheet path. More...
 
void SetSpreadSheetPath (const char *spreadSheetPath)
 Sets the parameter spreadsheet path. More...
 
NXOpen::SelectCurveShearLine ()
 Returns the selected shear line. More...
 
int ShipNo ()
 Returns the ship no. More...
 
NXString SpreadSheetFile ()
 Returns the parameter spreadsheet file. More...
 
NXString SpreadSheetPath ()
 Returns the parameter spreadsheet path. More...
 
NXOpen::SelectCurveTaperLine ()
 Returns the selected taper line. More...
 
NXOpen::SelectCurveTopLine ()
 Returns the selected top line. More...
 
void UpdateSketch ()
 Updates sketch. More...
 
void ValidateCurves ()
 Validates Curves. More...
 
void ValidateParameterSpreadSheet ()
 Validates parameter spreadsheet. More...
 
void ValidatePartAttributes ()
 Validates the part attributes. More...
 
void ValidateSketchCurves ()
 Validates the sketch curves. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::ShipDesign::QualifySketchBuilder builder.


To create a new instance of this class, use NXOpen::Features::ShipCollection::CreateQualifySketchBuilder

Created in NX8.0.0.

Member Function Documentation

int NXOpen::Features::ShipDesign::QualifySketchBuilder::ActiveRowIndex ( )

Returns the active row index.


Created in NX8.0.0.

License requirements : None

void NXOpen::Features::ShipDesign::QualifySketchBuilder::AssignAttribute ( NXOpen::TaggedObject entity,
const NXString category,
const NXString title,
const NXString value,
int  attrType,
const NXString objName 
)

Assigns attributes to the anchor point.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
entityentity
categorycategory
titletitle
valuevalue
attrTypeattr type
objNameobjname
void NXOpen::Features::ShipDesign::QualifySketchBuilder::AssignAttribute ( NXOpen::TaggedObject entity,
const char *  category,
const char *  title,
const char *  value,
int  attrType,
const char *  objName 
)

Assigns attributes to the anchor point.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
entityentity
categorycategory
titletitle
valuevalue
attrTypeattr type
objNameobjname
NXOpen::SelectCurve* NXOpen::Features::ShipDesign::QualifySketchBuilder::BaseLine ( )

Returns the selected base line.


Created in NX8.0.0.

License requirements : None

int NXOpen::Features::ShipDesign::QualifySketchBuilder::ContextAttribute ( )

Returns the context attribute.


Created in NX8.0.0.

License requirements : None

NXOpen::Features::ShipDesign::AnchorPoint* NXOpen::Features::ShipDesign::QualifySketchBuilder::CreateNewAnchorPoint ( )

Creates the anchor point.

Returns

Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
int NXOpen::Features::ShipDesign::QualifySketchBuilder::Feature ( )

Returns the steel feture type.


Created in NX8.0.0.

License requirements : None

NXString NXOpen::Features::ShipDesign::QualifySketchBuilder::ModelFile ( )

Returns the model file name.


Created in NX8.0.0.

License requirements : None

NXOpen::Features::ShipDesign::AnchorPointList* NXOpen::Features::ShipDesign::QualifySketchBuilder::ModelList ( )

Returns the model list.


Created in NX8.0.0.

License requirements : None

NXString NXOpen::Features::ShipDesign::QualifySketchBuilder::ModelPath ( )

Returns the model file path.


Created in NX8.0.0.

License requirements : None

NXOpen::SelectCurve* NXOpen::Features::ShipDesign::QualifySketchBuilder::MoldLine ( )

Returns the selected mold line.


Created in NX8.0.0.

License requirements : None

void NXOpen::Features::ShipDesign::QualifySketchBuilder::OpenParameterSpreadSheetToEdit ( )

Opens parameter spreadsheet to edit.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

void NXOpen::Features::ShipDesign::QualifySketchBuilder::OpenPartFile ( )

Opens the template part file.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

void NXOpen::Features::ShipDesign::QualifySketchBuilder::OpenRegistrationSpreadSheetToEdit ( )

Opens registration spreadsheet to edit.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

NXOpen::SelectCurve* NXOpen::Features::ShipDesign::QualifySketchBuilder::OpposingMoldLine ( )

Returns the selected opposing mold line.


Created in NX8.0.0.

License requirements : None

void NXOpen::Features::ShipDesign::QualifySketchBuilder::PreviewLeftImage ( )

Previews left image.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

void NXOpen::Features::ShipDesign::QualifySketchBuilder::PreviewRightImage ( )

Previews right image.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

void NXOpen::Features::ShipDesign::QualifySketchBuilder::ReloadParameterSpreadSheet ( )

Reloads parameter spreadsheet.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

void NXOpen::Features::ShipDesign::QualifySketchBuilder::ReloadRegisterSpreadSheet ( )

Reloads registration spreadsheet.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

void NXOpen::Features::ShipDesign::QualifySketchBuilder::ReloadTable ( )

Reloads expression table.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

void NXOpen::Features::ShipDesign::QualifySketchBuilder::RemoveAttribute ( NXOpen::TaggedObject entity,
const NXString category,
const NXString title,
int  attrType 
)

Removes attributes from the entity.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
entityentity
categorycategory
titletitle
attrTypeattr type
void NXOpen::Features::ShipDesign::QualifySketchBuilder::RemoveAttribute ( NXOpen::TaggedObject entity,
const char *  category,
const char *  title,
int  attrType 
)

Removes attributes from the entity.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
entityentity
categorycategory
titletitle
attrTypeattr type
int NXOpen::Features::ShipDesign::QualifySketchBuilder::SectionType ( )

Returns the section type.


Created in NX8.0.0.

License requirements : None

void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetActiveRowIndex ( int  activeRowIndex)

Sets the active row index.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
activeRowIndexactiverowindex
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetContextAttribute ( int  contextAttribute)

Sets the context attribute.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
contextAttributecontextattribute
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetFeature ( int  feature)

Sets the steel feture type.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
featurefeature
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetModelFile ( const NXString modelFile)

Sets the model file name.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
modelFilemodelfile
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetModelFile ( const char *  modelFile)

Sets the model file name.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
modelFilemodelfile
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetModelPath ( const NXString modelPath)

Sets the model file path.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
modelPathmodelpath
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetModelPath ( const char *  modelPath)

Sets the model file path.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
modelPathmodelpath
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetSectionType ( int  sectionType)

Sets the section type.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
sectionTypesectiontype
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetShipNo ( int  shipNo)

Sets the ship no.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
shipNoshipno
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetSpreadSheetFile ( const NXString spreadSheetFile)

Sets the parameter spreadsheet file.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
spreadSheetFilespreadsheetfile
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetSpreadSheetFile ( const char *  spreadSheetFile)

Sets the parameter spreadsheet file.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
spreadSheetFilespreadsheetfile
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetSpreadSheetPath ( const NXString spreadSheetPath)

Sets the parameter spreadsheet path.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
spreadSheetPathspreadsheetpath
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetSpreadSheetPath ( const char *  spreadSheetPath)

Sets the parameter spreadsheet path.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
spreadSheetPathspreadsheetpath
NXOpen::SelectCurve* NXOpen::Features::ShipDesign::QualifySketchBuilder::ShearLine ( )

Returns the selected shear line.


Created in NX8.0.0.

License requirements : None

int NXOpen::Features::ShipDesign::QualifySketchBuilder::ShipNo ( )

Returns the ship no.


Created in NX8.0.0.

License requirements : None

NXString NXOpen::Features::ShipDesign::QualifySketchBuilder::SpreadSheetFile ( )

Returns the parameter spreadsheet file.


Created in NX8.0.0.

License requirements : None

NXString NXOpen::Features::ShipDesign::QualifySketchBuilder::SpreadSheetPath ( )

Returns the parameter spreadsheet path.


Created in NX8.0.0.

License requirements : None

NXOpen::SelectCurve* NXOpen::Features::ShipDesign::QualifySketchBuilder::TaperLine ( )

Returns the selected taper line.


Created in NX8.0.0.

License requirements : None

NXOpen::SelectCurve* NXOpen::Features::ShipDesign::QualifySketchBuilder::TopLine ( )

Returns the selected top line.


Created in NX8.0.0.

License requirements : None

void NXOpen::Features::ShipDesign::QualifySketchBuilder::UpdateSketch ( )

Updates sketch.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

void NXOpen::Features::ShipDesign::QualifySketchBuilder::ValidateCurves ( )

Validates Curves.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

void NXOpen::Features::ShipDesign::QualifySketchBuilder::ValidateParameterSpreadSheet ( )

Validates parameter spreadsheet.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

void NXOpen::Features::ShipDesign::QualifySketchBuilder::ValidatePartAttributes ( )

Validates the part attributes.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

void NXOpen::Features::ShipDesign::QualifySketchBuilder::ValidateSketchCurves ( )

Validates the sketch curves.


Created in NX8.0.0.

License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.